.home {
  + .circles {
    display: none;

    + .circles-2 {
      display: none;
    }
  }
}

.circles,
.circles-2 {
  bottom: 0;
  height: 100vh;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  width: 100vw;
  z-index: 0;
}

.background-1 {
  .circles {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-tertiary');
      }
      @include pseudo;
      border-radius: 50%;
      bottom: -5rem;
      height: 20rem;
      right: -5rem;
      transition: map-get($transition, 'all');
      width: 20rem;
      z-index: 1;
    }
  }

  .circles-2 {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-quaternary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 40rem;
      right: 80vw;
      top: 80vh;
      transition: map-get($transition, 'all');
      width: 40rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        height: 60rem;
        width: 60rem;
      }
      @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
        height: 90rem;
        width: 90rem;
      }
    }

    &:after {
      @include themify($themes) {
        background-color: themed('brand-primary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 25rem;
      right: -5%;
      top: 30%;
      transition: map-get($transition, 'all');
      width: 25rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
        height: 75rem;
        right: 10%;
        top: 20%;
        width: 75rem;
      }
    }
  }
}

.background-2 {
  .circles {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-primary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 70rem;
      right: 80vw;
      top: 65vh;
      transition: map-get($transition, 'all');
      width: 70rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        height: 120rem;
        width: 120rem;
      }
    }
  }

  .circles-2 {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-quaternary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 40rem;
      right: -65%;
      top: -10%;
      transition: map-get($transition, 'all');
      transition: map-get($transition, 'all');
      width: 40rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        height: 60rem;
        right: -55%;
        top: -30%;
        width: 60rem;
      }
      @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
        height: 70rem;
        right: 5%;
        top: -5%;
        width: 70rem;
      }
    }

    &:after {
      @include themify($themes) {
        background-color: themed('brand-tertiary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 25rem;
      left: -20%;
      top: 35%;
      transition: map-get($transition, 'all');
      width: 25rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
        left: auto;
        right: -5%;
      }
    }
  }
}

.background-3 {
  .circles {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-primary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 40rem;
      right: 130vh;
      top: 80vh;
      transition: map-get($transition, 'all');
      width: 40rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
        height: 60rem;
        width: 60rem;
      }
    }
  }

  .circles-2 {
    &:before {
      @include themify($themes) {
        background-color: themed('brand-quaternary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 30rem;
      right: -50%;
      top: 10%;
      transition: map-get($transition, 'all');
      width: 30rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
        right: 10%;
        top: 20%;
      }
    }

    &:after {
      @include themify($themes) {
        background-color: themed('brand-tertiary');
      }
      @include pseudo;
      border-radius: 50%;
      height: 80rem;
      right: -15%;
      top: 45%;
      transition: map-get($transition, 'all');
      width: 80rem;

      @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
        bottom: -40%;
        top: auto;
      }
    }
  }
}
